Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## shout3d.core
Class ImageTexture

    java.lang.Object
      |
      +--shout3d.core.Node
            |
            +--shout3d.core.Texture
                  |
                  +--shout3d.core.ImageTexture

public class ImageTexture
extends Texture
implements FieldObserver

An ImageTexture

Field Summary
`BooleanField` | `hasAlphaTexture`
`BooleanField` | `repeatS`
`BooleanField` | `repeatT`
`StringArrayField` | `url`

Constructor Summary
`ImageTexture()` Constructs a default ImageTexture
`ImageTexture(Shout3DViewer viewer)` Constructs that takes a viewer as an argument

Method Summary
`void` | `onFieldChange(Field theField, java.lang.Object userData)` Subclasses must call this within their own onFieldChange() method.
`void` | `setViewer(Shout3DViewer viewer)`

Methods inherited from class shout3d.core.Node
`getDEFName, getField, getFieldByIndex, getFieldName, getNumFields, getTypeName, isOfType, setDEFName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### url

    public final StringArrayField url

### hasAlphaTexture

    public final BooleanField hasAlphaTexture

### repeatS

    public final BooleanField repeatS

### repeatT

    public final BooleanField repeatT

Constructor Detail

### ImageTexture

    public ImageTexture()

  Constructs a default ImageTexture

### ImageTexture

    public ImageTexture(Shout3DViewer viewer)

  Constructs that takes a viewer as an argument

Method Detail

### setViewer

    public void setViewer(Shout3DViewer viewer)

  Overrides:
    setViewer in class Node

### onFieldChange

    public void onFieldChange(Field theField,
                              java.lang.Object userData)

  Subclasses must call this within their own onFieldChange() method.
  Specified by:
    onFieldChange in interface FieldObserver

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD